ALTER TABLE NNDVIGAL
ADD COLOR VARCHAR2(20 CHAR);

CREATE OR REPLACE VIEW V_NAJAVE AS (
SELECT DISTINCT N.ID AS ID_NAJAVE, N.ID_DVIGALA, N.ID_LASTNIKA, N.ID_PLOVILA, N.ID_STORITVE, N.SIFRA_DVIGALA, N.SIFRA_STORITVE, N.VRSTA_NAJAVE, N.DATUM, N.URA_OD, N.URA_DO, N.DATUM_OD, N.DATUM_DO,
N.LASTNIK_OBVESCEN, N.ID_PRIVEZ, NP.N_PRIVEZA, N.KOMENTAR, N.NAVODILO, N.ID_DN,
S.COMPLETE, M.OPIS AS STORITEV, P.IME AS IME_PLOVILA, P.TEZA AS TEZA_PLOVILA, NVL(K.PRIIMEK, '') || ' ' || NVL(K.IME, '') AS LASTNIK, K.PRIIMEK AS KUPCI_PRIIMEK, K.IME AS KUPCI_IME,
ND.OPIS AS NNDVIGAL_OPIS, ND.INTERNI_OPIS AS NNDVIGAL_INTERNI_OPIS, ND.NOSILNOST AS NNDVIGAL_NOSILNOST, ND.COLOR AS NNDVIGAL_COLOR
FROM NAJAVE N
LEFT JOIN M_NNSTOMAR M ON N.SIFRA_STORITVE = M.SIFRA
LEFT JOIN PLOVILA P ON N.ID_PLOVILA = P.ID
LEFT JOIN KUPCI K ON N.ID_LASTNIKA = K.ID
LEFT JOIN M_STORITVE S ON N.ID_STORITVE = S.ID_STORITVE
LEFT JOIN NNPRIVEZ NP ON NP.ID_PRIVEZ = N.ID_PRIVEZ
LEFT JOIN NNDVIGAL ND ON ND.ID = N.ID_DVIGALA
);

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1092, SYSDATE, '5.5', 1012, 'Nndvigal barva')
;
