CREATE TABLE NNSTATPON (
CODE VARCHAR2(1 CHAR) NOT NULL,
DESCRIPTION VARCHAR2(150 CHAR) NOT NULL,
INTERNAL_DESCRIPTION VARCHAR2(150 CHAR),
SORT NUMBER,
ACTIVE VARCHAR2(1 CHAR),
CONSTRAINT PK_NNSTATPON PRIMARY KEY(CODE)
);

INSERT INTO NNSTATPON(CODE, DESCRIPTION, INTERNAL_DESCRIPTION, SORT, ACTIVE)
VALUES ('N', 'Open', 'Open', 1, 'Y');

INSERT INTO NNSTATPON(CODE, DESCRIPTION, INTERNAL_DESCRIPTION, SORT, ACTIVE)
VALUES ('Y', 'Confirmed', 'Confirmed', 2, 'Y');

INSERT INTO NNSTATPON(CODE, DESCRIPTION, INTERNAL_DESCRIPTION, SORT, ACTIVE)
VALUES ('F', 'Follow up', 'Follow up', 3, 'Y');

INSERT INTO NNSTATPON(CODE, DESCRIPTION, INTERNAL_DESCRIPTION, SORT, ACTIVE)
VALUES ('E', 'Expired', 'Expired', 4, 'Y');

INSERT INTO NNSTATPON(CODE, DESCRIPTION, INTERNAL_DESCRIPTION, SORT, ACTIVE)
VALUES ('R', 'Rejected', 'Rejected', 5, 'Y');

INSERT INTO NNSTATPON(CODE, DESCRIPTION, INTERNAL_DESCRIPTION, SORT, ACTIVE)
VALUES ('S', 'Reversed', 'Reversed', 6, 'Y');

ALTER TABLE NNSTATDN
ADD SORT NUMBER;

ALTER TABLE NNSTATDN
ADD ACTIVE VARCHAR2(1 CHAR);

UPDATE NNSTATDN
SET ACTIVE = 'Y'
WHERE ACTIVE IS NULL AND SIFRA IN ('O', 'N', 'F', 'S', 'A');

UPDATE NNSTATDN
SET SORT = 1
WHERE SORT IS NULL AND SIFRA = 'O';

UPDATE NNSTATDN
SET SORT = 2
WHERE SORT IS NULL AND SIFRA = 'N';

UPDATE NNSTATDN
SET SORT = 3
WHERE SORT IS NULL AND SIFRA = 'A';

UPDATE NNSTATDN
SET SORT = 4
WHERE SORT IS NULL AND SIFRA = 'S';

UPDATE NNSTATDN
SET SORT = 5
WHERE SORT IS NULL AND SIFRA = 'F';

insert into verzije_baza
(id, dt_vpis, verzija, ver_nr, opis) values (1367, SYSDATE, '5.5', 1287, 'Nnstatpon')
;